# Plant Monitor

esphome.io based plant monitoring.

# SparkFun Qwiic + Chirp Soil Sensor

## Hardware / Bill Of Materials

| Quantity | Hardware                                | Product Page                                                                              |
| -------- | --------------------------------------- | ----------------------------------------------------------------------------------------- |
| 1        | SparkFun Thing Plus - ESP32 WROOM       | https://www.sparkfun.com/products/14689                                                   |
| 1        | SparkFun Qwiic Mux Breakout - 8 Channel | https://www.sparkfun.com/products/14685                                                   |
| 8        | SparkFun Qwiic Adapter                  | https://www.sparkfun.com/products/14495                                                   |
| 1        | Qwiic Cable - 50mm                      | https://www.sparkfun.com/products/14426                                                   |
| 8        | Qwiic Cable - 500mm                     | https://www.sparkfun.com/products/14429                                                   |
| 1        | Waveshare 2.9" e-ink display            | https://www.waveshare.com/product/modules/oleds-lcds/e-paper/2.9inch-e-paper-module.htm   |
| 1        | 18650 Battery Holder                    | https://www.sparkfun.com/products/12899                                                   |
| 15       | 4 pin 2.54mm pitch screw terminals      | N/A                                                                                       |
| 1        | DF Robot Solar Charger (MQTT)           | https://www.dfrobot.com/product-1712.html?search=solar                                    |
| 1        | Adafruit Large Solar Panel              | https://www.adafruit.com/product/500                                                      |

## Software

- [https://esphome.io/components/ota.html](https://esphome.io/components/ota.html)
  - See deep sleep docs for a way to publish via mqtt to keep alive for updates
  - [https://community.home-assistant.io/t/hadashboard-publishing-an-mqtt-message/58614](https://community.home-assistant.io/t/hadashboard-publishing-an-mqtt-message/58614)
  - [https://community.home-assistant.io/t/mqtt-publish-in-scripts-yaml/29776](https://community.home-assistant.io/t/mqtt-publish-in-scripts-yaml/29776)
- [https://thenounproject.com/term/update/452099/](https://thenounproject.com/term/update/452099/)
- [https://thenounproject.com/term/download/356100/](https://thenounproject.com/term/download/356100/)
- [https://github.com/ageir/chirp-rpi](https://github.com/ageir/chirp-rpi)
- [https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md](https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md)
- [https://github.com/Apollon77/I2CSoilMoistureSensor](https://github.com/Apollon77/I2CSoilMoistureSensor)

## Future Hardware

- [https://www.adafruit.com/product/3931](https://www.adafruit.com/product/3931)
- [https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/](https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/)

## Future Mini Build

- [https://www.adafruit.com/product/4172](https://www.adafruit.com/product/4172)
- [https://www.adafruit.com/product/4026](https://www.adafruit.com/product/4026)
- [https://www.sparkfun.com/products/11050](https://www.sparkfun.com/products/11050)
- [https://www.adafruit.com/product/381](https://www.adafruit.com/product/381)
- [https://www.sparkfun.com/products/10617](https://www.sparkfun.com/products/10617)
- [https://www.sparkfun.com/products/12899](https://www.sparkfun.com/products/12899)
- [https://smile.amazon.com/Polydoh-moldable-plastic-polymorph-plastimake/dp/B01N6QAFO5](https://smile.amazon.com/Polydoh-moldable-plastic-polymorph-plastimake/dp/B01N6QAFO5)
